Page MenuHomePhabricator

ecore-drm2: Disable hardware rotation for outputs
ClosedPublic

Authored by devilhorns on Mar 6 2019, 9:16 AM.

Details

Summary

Setting output primary plane rotation is broken at the moment, so this
commit will disable that for now until this can be investigated

ref T7690

Depends on D8111

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Mar 6 2019, 9:16 AM
devilhorns requested review of this revision.Mar 6 2019, 9:16 AM
cedric requested changes to this revision.Mar 6 2019, 10:51 AM
cedric added inline comments.
src/lib/ecore_drm2/ecore_drm2_outputs.c
1525

Could you detail the version and component that break this and put an explanation above that #if.

This revision now requires changes to proceed.Mar 6 2019, 10:51 AM
devilhorns added inline comments.Mar 6 2019, 10:52 AM
src/lib/ecore_drm2/ecore_drm2_outputs.c
1525

Yea, no problem

devilhorns updated this revision to Diff 20458.Mar 12 2019, 6:20 AM
devilhorns edited the summary of this revision. (Show Details)

Use #if 0 to comment out code block and add a comment about how/why

this is broken

devilhorns marked 2 inline comments as done.Mar 12 2019, 6:36 AM
devilhorns updated this revision to Diff 20567.Mar 14 2019, 9:57 AM

Update patch based on review comments

devilhorns updated this revision to Diff 20729.Mar 19 2019, 7:22 AM
devilhorns added a reviewer: zmike.

no changes

This revision was not accepted when it landed; it landed in state Needs Review.Mar 22 2019, 9:42 AM
This revision was automatically updated to reflect the committed changes.